[CaseDiagnosticTool]
DLL_ExInterface=1
SelfVersion=1

[Common]
ProductName=Trend Micro OfficeScan Server
MaxVersion=8.2
MinVersion=5.58
ProductVersion=$(HKEY_LOCAL_MACHINE\SOFTWARE\TrendMicro\OfficeScan\service\Information\Server_Version)
PatternVersion=$(HKEY_LOCAL_MACHINE\SOFTWARE\TrendMicro\PC-cillinNTCorp\CurrentVersion\Misc.\PatternVer)
EngineVersion=$(HKEY_LOCAL_MACHINE\SOFTWARE\TrendMicro\PC-cillinNTCorp\CurrentVersion\Misc.\EngineZipVer)
InstallDateTime=$(HKEY_LOCAL_MACHINE\SOFTWARE\TrendMicro\PC-cillinNTCorp\CurrentVersion\InstDate) $(HKEY_LOCAL_MACHINE\SOFTWARE\TrendMicro\PC-cillinNTCorp\CurrentVersion\InstTime)

[Category1]
ProblemType=Basic Debug Log
Events=1

[Category2]
ProblemType=Installation & Uninstallation
Events=2,3,4,5

[Category3]
ProblemType=Upgrade & Patch & Hotfix
Events=6,7

[Category4]
ProblemType=Functionality
Events=8,9,10,11

[Category5]
ProblemType=Update $ Deployment
Events=12,13,14

[Category6]
ProblemType=Enterprise Firewall
Events=15

[Category7]
ProblemType=Performance Issue
Events=16

[Category8]
ProblemType= TMSM information
Events=17,18,19

[Event1]
EventName=OSCE Server Basic Debug Log $ Information
EventFile=$(OSCE_DEBUG_LOG);$(OFCSCAN_INI);$(OFCSERVER_INI);$(Component_INI)
ModuleName=OSCEServer

[Event2]
EventName=Server Local/Remote Installation
EventFile=$(Log1)

[Event3]
EventName=Server Silent Installation
EventFile=$(Log1);$(Log2);$(Log3)

[Event4]
EventName=Server CMAgent Installation
EventFile=$(Log4);$(Log5);$(Log6);$(Log7);$(Log8)

[Event5]
EventName=Unintall Competitors
EventFile=$(Log9);$(Log10)

[Event6]
EventName=Server Upgrade
EventFile=$(Log1);$(Log11)

[Event7]
EventName=Server Patch Installation
EventFile=$(Log12)

[Event8]
EventName=Server Database Issue
EventFile=$(Log20)
ModuleName=OSCEServer

[Event9]
EventName=IIS/Apache Log
EventFile=$(Log21);$(Log22)

[Event10]
EventName=Connectivity
EventFile=$(Log23)

[Event11]
EventName=AutoPcc Configuration
EventFile=$(Log25);$(Log26)

[Event12]
EventName=Server Update
EventFile=$(Log30);$(Log31)
ModuleName=AU

[Event13]
EventName=Deployment From Server
EventFile=$(Log21);$(Log22);$(Log23);$(Log24)

[Event14]
EventName=Deployment From TMCM
EventFile=$(Log4);$(Log5);$(Log6)

[Event15]
EventName=Firewall Policy & Profile
EventFile=$(Log37);$(Log38);$(Log44);$(Log21);$(Log22)

[Event16]
EventName=Crash/Hang/BSoD
EventFile=$(Log40);$(Log41);$(Log42);$(Log43)

[Event17]
EventName=Collect TMSM debug information
EventFile=$(Log44);$(Log45);$(Log46);$(Log47);$(Log48);$(Log49);$(Log52);$(Log53);$(Log54)

[Event18]
EventName=Collect TMSM apache-activemq information
EventFile=$(Log50)

[Event19]
EventName=Collect SQL Log for TMSM 
EventFile=$(Log51)
[Variables]
HomeDir=$(HKEY_LOCAL_MACHINE\SOFTWARE\TrendMicro\OfficeScan\service\Information\Local_Path)
RegRootKey=HKEY_LOCAL_MACHINE\SOFTWARE\TrendMicro\

DrWtsn32Path=$(HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\DrWatson\LogFilePath)
MemoryDump=$(HKEY_LOCAL_MACHINE\SYSTEM\CurrentControlSet\Control\CrashControl\DumpFile)
UserDump=$(HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\DrWatson\CrashDumpFile)
HomeSqlDir=$(HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Microsoft SQL Server\90\VerSpecificRootDir)
TMSMHomeDir=$(HomeDir)\..\Addon\TMSM
;Please do not modify OSCE_DEBUG_LOG, it is used by DLL extension interface
OSCE_DEBUG_LOG=$(HomeDir)\Log\OfcDebug.log

OFCSCAN_INI=$(HomeDir)\ofcscan.ini
OFCSERVER_INI=$(HomeDir)\Private\Ofcserver.ini
Component_INI=$(HomeDir)\Private\Component.ini

Log1=$(Windir)\Ofcmas.log
Log2=$(SystemDrive)\setup.log
Log3=$(SystemDrive)\Setup.iss
Log4=$(SystemDrive)\CMAgent_Debug.log
Log5=$(HomeDir)\CMAgent\Agent.ini
Log6=$(HomeDir)\CMAgent\Product.ini
Log7=$(HomeDir)\CMAgent\ProductUI.zip
Log8=$(HomeDir)\CMAgent\cmagentdebug.log
Log9=$(Windir)\Ofcnt.log
Log10=$(HomeDir)\Admin\Tmuninst.ptn

Log11=$(SystemDrive)\Trend_Backup
Log12=$(SystemDrive)\TmPatch.log

Log20=$(HomeDir)\HTTPDB\*.* /S
Log21=$(Windir)\System32\LogFiles\W3SVC3\*.log
Log22=$(HomeDir)\Apache2\*.log
Log23=$(HomeDir)\Log\verconn.log
Log24=$(HomeDir)\Log\PTNDP*.log
Log25=$(HomeDir)\Autopcc.cfg\*.* /S
Log26=$(HomeDir)\Admin\INSTNT.INI


Log30=$(HomeDir)\Web\Service\AU_Data\AU_Log\TmuDump.txt
Log31=$(HomeDir)\Download\Server.ini

Log37=$(HomeDir)\Private\PFW\*.DAT
Log38=$(HomeDir)\Download\Ofcpfw2.dat
Log44=$(HomeDir)\Download\Ofcpfw.dat

Log40=$(DrWtsn32Path)\DrWtsn32.log
Log41=$(systemdrive)\Documents and Settings\All Users\Documents\DrWatson\DrWtsn32.log
Log42=$(systemdrive)\Documents and Settings\All Users\Documents\DrWatson\user.dmp
Log43=$(SystemRoot)\MEMORY.DMP

Log44=$(SystemDrive)\TMSM_PreInstall.log
Log45=$(SystemDrive)\TMSM_jre_install.log
Log46=$(SystemDrive)\TMSM_Install.log
Log47=$(SystemDrive)\TMSM_ServerInfo.Log
Log48=$(TMSMHomeDir)\debug.log
Log49=$(TMSMHomeDir)\TMSMMainService.InstallLog
Log50=$(TMSMHomeDir)\apache-activemq\*.* /S

Log51=$(HomeSqlDir)\Setup Bootstrap\LOG\*.* /S
Log52=$(TMSMHomeDir)\apache-activemq\conf\activemq.xml
Log53=$(TMSMHomeDir)\apache-activemq\conf\broker.cert
Log54=$(TMSMHomeDir)\apache-activemq\conf\broker.ks
;Log1=$(HomeDir)\web\cgi\temp\AU_Log\Tmudump.txt
;Log2=$(HomeDir)\web\service\AU_Log\Tmudump.txt
;Log3=$(HomeDir)\download\server.ini
;Log4=$(HomeDir)\HttpDB\*.* /S
;Log5=$(WinDir)\Ofcmas.log
;Log6=$(DrWtsn32Path)\DrWtsn32.log
;Log7=$(UserDump)
;Log8=$(systemroot)\Ofcmas.log
;Log9=$(systemdrive)\Documents and Settings\All Users\Documents\DrWatson\DrWtsn32.log
;Log10=$(systemdrive)\Documents and Settings\All Users\Documents\DrWatson\user.dmp
;Log11=$(HomeDir)\ofcscan.ini
;Log12 will contain the $(HomeDir)\Log\OfcDebug.log
;Log12=$(HomeDir)\Log\*.* /S
;olg13=$(HomeDir)\AUBin\patchdmp.txt
;Log14=$(HomeDir)\Admin\SpywareList.ini
;Log15=$(HomeDir)\Admin\report\*.*

;[Event1]
;EventName=Collect basic product information
;EventFile=$(Log1);$(Log2);$(Log3);$(Log11);$(Log12)
;ModuleName=OSCEserver;AU

;[Event2]
;EventName=ActiveUpdate - OfficeScan server pattern, engine and program download failed
;EventFile=$(Log1);$(Log2);$(Log3);$(Log11)
;ModuleName=OSCEserver;AU

;[Event3]
;EventName=ActiveUpdate - OfficeScan server pattern, engine and program deployment to clients failed
;EventFile=$(Log1);$(Log2);$(Log3);$(Log11)
;ModuleName=OSCEserver;AU

;[Event4]
;EventName=OfficeScan master setup failed
;EventFile=$(Log5);$(Log8)

;[Event5]
;EventName=System has triggered "Dr. Watson" window. 
;EventFile=$(Log6);$(Log7);$(Log9);$(Log10)
;ModuleName=OSCEserver

;[Event6]
;EventName=Problem related to the OfficeScan management console (e.g., setting passwords, removing inactive clients, alert functions, configuration settings, remote uninstallation, etc.)
;EventFile=$(Log11)
;ModuleName=OSCEserver

;[Event7]
;EventName=Communication error between OfficeScan server and client (clients are not visible from the console)
;EventFile=$(Log11)
;ModuleName=OSCEserver

;[Event8]
;EventName=Database issues (virus log viewing or client status-related problems)
;EventFile=$(Log4);$(Log11)
;ModuleName=OSCEserver

;[Event9]
;EventName=Performance issues (slow update, excessive CPU usage, etc.)
;EventFile=$(Log1);$(Log2);$(Log3)
;ModuleName=OSCEserver

;[Event10]
;EventName=Spyware cleanup related issues
;EventFile=$(Log14);$(Log15)

;[Event11]
;EventName=Collect IIS/Apache Log
;EventFile=$(IISLog);$(ApacheLog)